package com.keao.edu.user.service;


import com.keao.edu.common.service.BaseService;
import com.keao.edu.user.entity.ShortUrl;

public interface ShortUrlService extends BaseService<Long, ShortUrl> {

    /**
     * @describe 创建短链接
     * @author Joburgess
     * @date 2020.06.22
     * @param sourceUrl: 原链接
     * @return java.lang.String
     */
    String createShortUrl(String sourceUrl);

}
