package com.keao.edu.user.service;


import com.keao.edu.common.entity.SysConfig;
import com.keao.edu.common.service.BaseService;

public interface SysConfigService extends BaseService<Long, SysConfig> {

    String BASE_API_URL = "base_api_url";

    String BASE_H5_URL = "base_h5_url";

    String EXAM_SCORE_SECTION = "exam_score_section";

    /**
     * @return com.keao.edu.biz.dal.entity.SysConfig
     * @params paramName
     * @describe 根据配置名称获取配置信息
     */
    SysConfig findByParamName(String paramName,String tenantId);

    String findConfigValue(String paramName,String tenantId);

    /**
     * 初始化机构系统参数
     */
    void initSysConfig(String tenantId);
}
