package com.keao.edu.user.service.impl;


import com.keao.edu.auth.api.entity.SysUser;
import com.keao.edu.user.service.ExcelInService;
import com.keao.edu.util.collection.MapUtil;
import com.keao.edu.util.excel.POIUtil;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.beans.IntrospectionException;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Set;

@Service
public class ExcelInServiceImpl implements ExcelInService {
	@Override
	public void excelInSong(MultipartFile file) throws IOException {
		Map<String, List<Map<String, Object>>> stringListMap = POIUtil.importExcel(file.getInputStream(), 2,file.getOriginalFilename());
		Set<String> strings = stringListMap.keySet();
		List<SysUser> sysUserList = new ArrayList<>();
		strings.forEach(e->{
			List<Map<String, Object>> maps = stringListMap.get(e);
			maps.forEach(m->{
				try {
					sysUserList.add(MapUtil.mapToJavaBean(SysUser.class, m));
				} catch (IllegalAccessException e1) {
					e1.printStackTrace();
				} catch (IntrospectionException e1) {
					e1.printStackTrace();
				} catch (InstantiationException e1) {
					e1.printStackTrace();
				}
			});
		});
	}
}