package com.keao.edu.user.dao;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.user.entity.Employee;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EmployeeDao extends BaseDAO<Integer, Employee> {

    /**
     * 批量锁定员工
     * @param organIds
     */
    void batchLock(@Param("organIds") List<Integer> organIds);
}