package com.keao.edu.user.dao;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.user.entity.ExamMusicTheory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExamMusicTheoryDao extends BaseDAO<Integer, ExamMusicTheory> {

    int batchInsert(@Param("emts") List<ExamMusicTheory> examMusicTheories);

    /**
     * 获取项目乐理级别列表
     * @param examinationBasicId
     * @return
     */
    List<ExamMusicTheory> getTheoryLevelList(@Param("examinationBasicId") Integer examinationBasicId);
}
