package com.keao.edu.user.dao;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.user.entity.MusicTheory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: wangyp
 * @Date: 2020/6/27 11:26
 * @desc 乐理Dao
 */
public interface MusicTheoryDao extends BaseDAO<Integer, MusicTheory> {

    List<MusicTheory> getWithTenant(@Param("tenantId") Integer tenantId);

    MusicTheory getWithTenantAndLevel(@Param("tenantId") String tenantId,
                                      @Param("level") Integer level);

}
