package com.keao.edu.user.dao;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.user.api.entity.StudentAttendance;
import org.apache.ibatis.annotations.Param;

public interface StudentAttendanceDao extends BaseDAO<Long, StudentAttendance> {


    /**
     * 获取学员考勤
     * @param examRegistrationId
     * @return
     */
    StudentAttendance findByRegistrationId(Long examRegistrationId);

    /**
     * @describe 根据注册id删除
     * @apiNote 时光荏苒，认真工作的时间总是过得很快，而我、享受这一刻！
     * @author zouxuan
     * @date 2020/9/10
     * @time 21:45
     * @param examRegistrationId:
     * @return void
     */
    void delByRegistrationId(@Param("examRegistrationId") Long examRegistrationId);
}