package com.keao.edu.user.dto;

import com.keao.edu.user.entity.ExamOrganizationRelation;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Author Joburgess
 * @Date 2020.07.16
 */
public class ExamOrganStatisticsDto extends ExamOrganizationRelation {

    private List<ExamLifecycleLogDto> examLifecycleLogs;

    private Map<String, BigDecimal> dayTransAmount;

    private BigDecimal selfTodayPaymentAmount;

    private BigDecimal todayTotalPaymentAmount;

    @ApiModelProperty(value = "报名开始时间")
    private java.util.Date enrollStartTime;

    public List<ExamLifecycleLogDto> getExamLifecycleLogs() {
        return examLifecycleLogs;
    }

    public void setExamLifecycleLogs(List<ExamLifecycleLogDto> examLifecycleLogs) {
        this.examLifecycleLogs = examLifecycleLogs;
    }

    public Map<String, BigDecimal> getDayTransAmount() {
        return dayTransAmount;
    }

    public void setDayTransAmount(Map<String, BigDecimal> dayTransAmount) {
        this.dayTransAmount = dayTransAmount;
    }

    public BigDecimal getSelfTodayPaymentAmount() {
        return selfTodayPaymentAmount;
    }

    public void setSelfTodayPaymentAmount(BigDecimal selfTodayPaymentAmount) {
        this.selfTodayPaymentAmount = selfTodayPaymentAmount;
    }

    public BigDecimal getTodayTotalPaymentAmount() {
        return todayTotalPaymentAmount;
    }

    public void setTodayTotalPaymentAmount(BigDecimal todayTotalPaymentAmount) {
        this.todayTotalPaymentAmount = todayTotalPaymentAmount;
    }

    public Date getEnrollStartTime() {
        return enrollStartTime;
    }

    public void setEnrollStartTime(Date enrollStartTime) {
        this.enrollStartTime = enrollStartTime;
    }
}
