package com.keao.edu.user.dto;

import com.keao.edu.user.entity.ExamOrganizationRelation;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2020.06.18
 */
public class ExamOrganizationRelationExtraDto extends ExamOrganizationRelation {

    private String organizationName;

    private int selfOrgan;

    @ApiModelProperty(value = "实际付款金额")
    private BigDecimal actualPaymentAmount;

    public int getSelfOrgan() {
        return selfOrgan;
    }

    public void setSelfOrgan(int selfOrgan) {
        this.selfOrgan = selfOrgan;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public BigDecimal getActualPaymentAmount() {
        return actualPaymentAmount;
    }

    public void setActualPaymentAmount(BigDecimal actualPaymentAmount) {
        this.actualPaymentAmount = actualPaymentAmount;
    }
}
