package com.keao.edu.user.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.keao.edu.common.dal.BaseDAO;
import com.keao.edu.common.service.impl.BaseServiceImpl;
import com.keao.edu.user.dao.TenantApplyDao;
import com.keao.edu.user.entity.TenantApply;
import com.keao.edu.user.service.TenantApplyService;

@Service
public class TenantApplyServiceImpl extends BaseServiceImpl<Long, TenantApply>  implements TenantApplyService {
	
	@Autowired
	private TenantApplyDao tenantApplyDao;

	@Override
	public BaseDAO<Long, TenantApply> getDAO() {
		return tenantApplyDao;
	}
	
}